Last Comment Bug 720992 - Tilt should use mozAnimation for all its animations, instead of intervals
: Tilt should use mozAnimation for all its animations, instead of intervals
Status: RESOLVED FIXED
[tilt]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 13
Assigned To: Victor Porof [:vporof][:vp]
:
: Patrick Brosset <:pbro>
Mentors:
Depends on: 723435
Blocks: 723588
  Show dependency treegraph
 
Reported: 2012-01-25 05:28 PST by Victor Porof [:vporof][:vp]
Modified: 2012-02-27 01:00 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (17.19 KB, patch)
2012-02-02 09:20 PST, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review
v2 (20.27 KB, patch)
2012-02-03 03:58 PST, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review

Description Victor Porof [:vporof][:vp] 2012-01-25 05:28:26 PST
See more info in bug 718425.
Comment 1 Victor Porof [:vporof][:vp] 2012-02-02 09:20:01 PST
Created attachment 593883 [details] [diff] [review]
v1

A few global consts had to be changed slightly to achieve approximately the same animation timings.
Comment 2 Victor Porof [:vporof][:vp] 2012-02-03 03:58:24 PST
Created attachment 594118 [details] [diff] [review]
v2

Fixed a few fails in try.
Comment 3 Rob Campbell [:rc] (:robcee) 2012-02-22 12:48:48 PST
Comment on attachment 594118 [details] [diff] [review]
v2

-const INTRO_TRANSITION_DURATION = 50;
-const OUTRO_TRANSITION_DURATION = 40;
+const INTRO_TRANSITION_DURATION = 1000;
+const OUTRO_TRANSITION_DURATION = 800;
 const INITIAL_Z_TRANSLATION = 400;
 const MOVE_INTO_VIEW_ACCURACY = 50;
 
what are these units? Comments please.

 const MOUSE_CLICK_THRESHOLD = 10;
-const MOUSE_INTRO_DELAY = 10;
+const MOUSE_INTRO_DELAY = 200;
 const ARCBALL_SENSITIVITY = 0.5;

these too.

Otherwise looks really solid. Could you throw this through try as well? R+ with a successful run. Thanks!
Comment 4 Victor Porof [:vporof][:vp] 2012-02-23 15:57:07 PST
(In reply to Rob Campbell [:rc] (robcee) from comment #3)
> Comment on attachment 594118 [details] [diff] [review]
> v2
> 
> -const INTRO_TRANSITION_DURATION = 50;
> -const OUTRO_TRANSITION_DURATION = 40;
> +const INTRO_TRANSITION_DURATION = 1000;
> +const OUTRO_TRANSITION_DURATION = 800;
>  const INITIAL_Z_TRANSLATION = 400;
>  const MOVE_INTO_VIEW_ACCURACY = 50;
>  
> what are these units? Comments please.

I can't really relate these to a unit of measurement. Just interpolation magic numbers. Definitely not pixels, not centimeters, or kilograms...

> 
>  const MOUSE_CLICK_THRESHOLD = 10;
> -const MOUSE_INTRO_DELAY = 10;
> +const MOUSE_INTRO_DELAY = 200;
>  const ARCBALL_SENSITIVITY = 0.5;
> 
> these too.
> 
> Otherwise looks really solid. Could you throw this through try as well? R+
> with a successful run. Thanks!

Try: https://tbpl.mozilla.org/?tree=Try&rev=97ff4518c7
Comment 5 Rob Campbell [:rc] (:robcee) 2012-02-24 05:03:30 PST
(In reply to Victor Porof from comment #4)
> (In reply to Rob Campbell [:rc] (robcee) from comment #3)
> > Comment on attachment 594118 [details] [diff] [review]
> > v2
> > 
> > -const INTRO_TRANSITION_DURATION = 50;
> > -const OUTRO_TRANSITION_DURATION = 40;
> > +const INTRO_TRANSITION_DURATION = 1000;
> > +const OUTRO_TRANSITION_DURATION = 800;
> >  const INITIAL_Z_TRANSLATION = 400;
> >  const MOVE_INTO_VIEW_ACCURACY = 50;
> >  
> > what are these units? Comments please.
> 
> I can't really relate these to a unit of measurement. Just interpolation
> magic numbers. Definitely not pixels, not centimeters, or kilograms...

I was thinking fractions of a second, frames or intervals. "Interpolation magic" is kind of unsatisfying.

> >  const MOUSE_CLICK_THRESHOLD = 10;
> > -const MOUSE_INTRO_DELAY = 10;
> > +const MOUSE_INTRO_DELAY = 200;
> >  const ARCBALL_SENSITIVITY = 0.5;
> > 
> > these too.
> > 
> > Otherwise looks really solid. Could you throw this through try as well? R+
> > with a successful run. Thanks!
> 
> Try: https://tbpl.mozilla.org/?tree=Try&rev=97ff4518c7

ah well. Land ho!
Comment 6 Rob Campbell [:rc] (:robcee) 2012-02-24 06:46:42 PST
https://hg.mozilla.org/integration/fx-team/rev/3b55713894a6
Comment 7 Tim Taubert [:ttaubert] 2012-02-27 01:00:56 PST
https://hg.mozilla.org/mozilla-central/rev/3b55713894a6

Note You need to log in before you can comment on or make changes to this bug.